Bug 1461017 - Copy content view does not open the copy dialog to enter a new content view name
Copy content view does not open the copy dialog to enter a new content view name
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.3.0
x86_64 Linux
unspecified Severity high (vote)
: Beta
: --
Assigned To: Samir Jha
Nikhil Kathole
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 07:19 EDT by Djebran Lezzoum
Modified: 2017-08-21 11 EDT (History)
3 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
content view copy screenshot with inspect console (146.86 KB, image/png)
2017-06-13 07:19 EDT, Djebran Lezzoum
no flags Details
Copy content view Firefox screenshot (147.92 KB, image/png)
2017-06-13 07:21 EDT, Djebran Lezzoum
no flags Details
screenshot of UI (53.00 KB, image/png)
2017-08-21 11:07 EDT, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20075 None None None 2017-06-21 13:59 EDT

  None (edit)
Description Djebran Lezzoum 2017-06-13 07:19:37 EDT
Created attachment 1287237 [details]
content view  copy screenshot with inspect console

Description of problem:
when trying to copy a content view, the copy dialog to enter a new content view name does not appear.

Version-Release number of selected component (if applicable):
* candlepin-2.0.35-1.el7.noarch
* candlepin-selinux-2.0.35-1.el7.noarch
* foreman-1.15.0-1.el7sat.noarch
* foreman-cli-1.15.0-1.el7sat.noarch
* foreman-compute-1.15.0-1.el7sat.noarch
* foreman-debug-1.15.0-1.el7sat.noarch
* foreman-discovery-image-3.1.1-22.el7sat.noarch
* foreman-ec2-1.15.0-1.el7sat.noarch
* foreman-gce-1.15.0-1.el7sat.noarch
* foreman-installer-1.15.0-1.el7sat.noarch
* foreman-installer-katello-3.4.0.1-1.el7sat.noarch
* foreman-libvirt-1.15.0-1.el7sat.noarch
* foreman-openstack-1.15.0-1.el7sat.noarch
* foreman-ovirt-1.15.0-1.el7sat.noarch
* foreman-postgresql-1.15.0-1.el7sat.noarch
* foreman-proxy-1.15.0-2.el7sat.noarch
* foreman-rackspace-1.15.0-1.el7sat.noarch
* foreman-selinux-1.15.0-1.el7sat.noarch
* foreman-vmware-1.15.0-1.el7sat.noarch
* katello-3.4.0-3.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-1.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.3.0-1.el7sat.noarch
* katello-common-3.4.0-3.el7sat.noarch
* katello-debug-3.4.0-3.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.4.0.1-1.el7sat.noarch
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.0-3.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-ostree-plugins-1.2.1-1.el7sat.noarch
* pulp-puppet-plugins-2.12.2-1.el7sat.noarch
* pulp-puppet-tools-2.12.2-1.el7sat.noarch
* pulp-rpm-plugins-2.12.2-1.el7sat.noarch
* pulp-selinux-2.12.2-1.el7sat.noarch
* pulp-server-2.12.2-1.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1. Goto Content > Content View
2. Create a new content view
3. Open the created content view
4. Press select action button and then Copy Content View

Actual results:
Nothing happen
in the chrome browser inspect console we can read the error:
bastion-e809058….js:2 Error: Could not resolve 'content-view.copy' from state 'content-view'
    at Object.k.transitionTo (bastion-e809058….js:64)
    at Object.k.go (bastion-e809058….js:64)
    at bastion-e809058….js:64
    at bastion-e809058….js:3
    at i (bastion-e809058….js:1)
    at bastion-e809058….js:1 

in Firefox inspect console we can read the error:
Error: Could not resolve 'content-view.copy' from state 'content-view'
w/k.transitionTo@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:64:4389
w/k.go@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:64:3947
E/</s<@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:64:12344
i/c<@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:3:18135
i@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:1:22853
cn/u.defer/n<@https://hp-dl180gen9-01.khw.lab.eng.bos.redhat.com/assets/bastion/bastion-e809058672f18679413e99c9a4d32724a52d4d062906984696c4ce40dadd32c0.js:1:24315

Expected results:
Copy content view dialog to enter a new content view name 

Additional info:
Comment 1 Djebran Lezzoum 2017-06-13 07:21 EDT
Created attachment 1287238 [details]
Copy content view  Firefox screenshot
Comment 3 Samir Jha 2017-06-21 13:59:40 EDT
Created redmine issue http://projects.theforeman.org/issues/20075 from this bug
Comment 4 pm-sat@redhat.com 2017-06-30 14:11:24 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20075 has been resolved.
Comment 5 pm-sat@redhat.com 2017-08-03 18:13:19 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20075 has been resolved.
Comment 6 Nikhil Kathole 2017-08-21 11:06:47 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 12


steps:
1. Navigate to Content > Content View
2. Created a new content view
3. Opened the created content view
4. Selected action button -> Copy Content View
5. Successfully opens the copy content view dialog
Comment 7 Nikhil Kathole 2017-08-21 11:07 EDT
Created attachment 1316352 [details]
screenshot of UI

Note You need to log in before you can comment on or make changes to this bug.